Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util
Class ImperativeOCLAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util.ImperativeOCLAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

    public class ImperativeOCLAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `ImperativeOCLPackage`

Field Summary
`protected static ImperativeOCLPackage` | `modelPackage` The cached model package
`protected ImperativeOCLSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods

Constructor Summary
`ImperativeOCLAdapterFactory()` Creates an instance of the adapter factory

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` | `createAltExpAdapter()` Creates a new adapter for an object of class '`Alt Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createAssertExpAdapter()` Creates a new adapter for an object of class '`Assert Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createAssignExpAdapter()` Creates a new adapter for an object of class '`Assign Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createASTNodeAdapter()` Creates a new adapter for an object of class '`AST Node`'
`org.eclipse.emf.common.notify.Adapter` | `createBlockExpAdapter()` Creates a new adapter for an object of class '`Block Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createBreakExpAdapter()` Creates a new adapter for an object of class '`Break Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createCallExpAdapter()` Creates a new adapter for an object of class '`Call Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createCallingASTNodeAdapter()` Creates a new adapter for an object of class '`Calling AST Node`'
`org.eclipse.emf.common.notify.Adapter` | `createCatchExpAdapter()` Creates a new adapter for an object of class '`Catch Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createCollectionTypeAdapter()` Creates a new adapter for an object of class '`Collection Type`'
`org.eclipse.emf.common.notify.Adapter` | `createComputeExpAdapter()` Creates a new adapter for an object of class '`Compute Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createContinueExpAdapter()` Creates a new adapter for an object of class '`Continue Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createDictionaryTypeAdapter()` Creates a new adapter for an object of class '`Dictionary Type`'
`org.eclipse.emf.common.notify.Adapter` | `createDictLiteralExpAdapter()` Creates a new adapter for an object of class '`Dict Literal Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createDictLiteralPartAdapter()` Creates a new adapter for an object of class '`Dict Literal Part`'
`org.eclipse.emf.common.notify.Adapter` | `createEClassAdapter()` Creates a new adapter for an object of class '`EClass`'
`org.eclipse.emf.common.notify.Adapter` | `createEClassifierAdapter()` Creates a new adapter for an object of class '`EClassifier`'
`org.eclipse.emf.common.notify.Adapter` | `createEcore_CallExpAdapter()` Creates a new adapter for an object of class '`Call Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createEcore_CollectionTypeAdapter()` Creates a new adapter for an object of class '`Collection Type`'
`org.eclipse.emf.common.notify.Adapter` | `createEcore_FeatureCallExpAdapter()` Creates a new adapter for an object of class '`Feature Call Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createEcore_LiteralExpAdapter()` Creates a new adapter for an object of class '`Literal Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createEcore_LoopExpAdapter()` Creates a new adapter for an object of class '`Loop Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createEcore_OCLExpressionAdapter()` Creates a new adapter for an object of class '`OCL Expression`'
`org.eclipse.emf.common.notify.Adapter` | `createEcore_OperationCallExpAdapter()` Creates a new adapter for an object of class '`Operation Call Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createEDataTypeAdapter()` Creates a new adapter for an object of class '`EData Type`'
`org.eclipse.emf.common.notify.Adapter` | `createEModelElementAdapter()` Creates a new adapter for an object of class '`EModel Element`'
`org.eclipse.emf.common.notify.Adapter` | `createENamedElementAdapter()` Creates a new adapter for an object of class '`ENamed Element`'
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case
`org.eclipse.emf.common.notify.Adapter` | `createETypedElementAdapter()` Creates a new adapter for an object of class '`ETyped Element`'
`org.eclipse.emf.common.notify.Adapter` | `createFeatureCallExpAdapter()` Creates a new adapter for an object of class '`Feature Call Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createForExpAdapter()` Creates a new adapter for an object of class '`For Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createImperativeExpressionAdapter()` Creates a new adapter for an object of class '`Imperative Expression`'
`org.eclipse.emf.common.notify.Adapter` | `createImperativeIterateExpAdapter()` Creates a new adapter for an object of class '`Imperative Iterate Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createImperativeLoopExpAdapter()` Creates a new adapter for an object of class '`Imperative Loop Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createInstantiationExpAdapter()` Creates a new adapter for an object of class '`Instantiation Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createListTypeAdapter()` Creates a new adapter for an object of class '`List Type`'
`org.eclipse.emf.common.notify.Adapter` | `createLiteralExpAdapter()` Creates a new adapter for an object of class '`Literal Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createLogExpAdapter()` Creates a new adapter for an object of class '`Log Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createLoopExpAdapter()` Creates a new adapter for an object of class '`Loop Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createOCLExpressionAdapter()` Creates a new adapter for an object of class '`OCL Expression`'
`org.eclipse.emf.common.notify.Adapter` | `createOperationCallExpAdapter()` Creates a new adapter for an object of class '`Operation Call Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createOrderedTupleLiteralExpAdapter()` Creates a new adapter for an object of class '`Ordered Tuple Literal Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createOrderedTupleLiteralPartAdapter()` Creates a new adapter for an object of class '`Ordered Tuple Literal Part`'
`org.eclipse.emf.common.notify.Adapter` | `createOrderedTupleTypeAdapter()` Creates a new adapter for an object of class '`Ordered Tuple Type`'
`org.eclipse.emf.common.notify.Adapter` | `createPredefinedTypeAdapter()` Creates a new adapter for an object of class '`Predefined Type`'
`org.eclipse.emf.common.notify.Adapter` | `createRaiseExpAdapter()` Creates a new adapter for an object of class '`Raise Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createReturnExpAdapter()` Creates a new adapter for an object of class '`Return Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createSwitchExpAdapter()` Creates a new adapter for an object of class '`Switch Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createTemplateParameterTypeAdapter()` Creates a new adapter for an object of class '`Template Parameter Type`'
`org.eclipse.emf.common.notify.Adapter` | `createTryExpAdapter()` Creates a new adapter for an object of class '`Try Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createTypedASTNodeAdapter()` Creates a new adapter for an object of class '`Typed AST Node`'
`org.eclipse.emf.common.notify.Adapter` | `createTypedefAdapter()` Creates a new adapter for an object of class '`Typedef`'
`org.eclipse.emf.common.notify.Adapter` | `createTypedElementAdapter()` Creates a new adapter for an object of class '`Typed Element`'
`org.eclipse.emf.common.notify.Adapter` | `createUnlinkExpAdapter()` Creates a new adapter for an object of class '`Unlink Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createUnpackExpAdapter()` Creates a new adapter for an object of class '`Unpack Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createVariableInitExpAdapter()` Creates a new adapter for an object of class '`Variable Init Exp`'
`org.eclipse.emf.common.notify.Adapter` | `createVisitableAdapter()` Creates a new adapter for an object of class '`Visitable`'
`org.eclipse.emf.common.notify.Adapter` | `createWhileExpAdapter()` Creates a new adapter for an object of class '`While Exp`'
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static ImperativeOCLPackage modelPackage

  The cached model package.

### modelSwitch

    protected ImperativeOCLSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### ImperativeOCLAdapterFactory

    public ImperativeOCLAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createAltExpAdapter

    public org.eclipse.emf.common.notify.Adapter createAltExpAdapter()

  Creates a new adapter for an object of class '`Alt Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AltExp`

### createAssertExpAdapter

    public org.eclipse.emf.common.notify.Adapter createAssertExpAdapter()

  Creates a new adapter for an object of class '`Assert Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssertExp`

### createAssignExpAdapter

    public org.eclipse.emf.common.notify.Adapter createAssignExpAdapter()

  Creates a new adapter for an object of class '`Assign Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `AssignExp`

### createBlockExpAdapter

    public org.eclipse.emf.common.notify.Adapter createBlockExpAdapter()

  Creates a new adapter for an object of class '`Block Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BlockExp`

### createBreakExpAdapter

    public org.eclipse.emf.common.notify.Adapter createBreakExpAdapter()

  Creates a new adapter for an object of class '`Break Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BreakExp`

### createCatchExpAdapter

    public org.eclipse.emf.common.notify.Adapter createCatchExpAdapter()

  Creates a new adapter for an object of class '`Catch Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CatchExp`

### createComputeExpAdapter

    public org.eclipse.emf.common.notify.Adapter createComputeExpAdapter()

  Creates a new adapter for an object of class '`Compute Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ComputeExp`

### createContinueExpAdapter

    public org.eclipse.emf.common.notify.Adapter createContinueExpAdapter()

  Creates a new adapter for an object of class '`Continue Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ContinueExp`

### createDictLiteralExpAdapter

    public org.eclipse.emf.common.notify.Adapter createDictLiteralExpAdapter()

  Creates a new adapter for an object of class '`Dict Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DictLiteralExp`

### createDictLiteralPartAdapter

    public org.eclipse.emf.common.notify.Adapter createDictLiteralPartAdapter()

  Creates a new adapter for an object of class '`Dict Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DictLiteralPart`

### createDictionaryTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDictionaryTypeAdapter()

  Creates a new adapter for an object of class '`Dictionary Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `DictionaryType`

### createForExpAdapter

    public org.eclipse.emf.common.notify.Adapter createForExpAdapter()

  Creates a new adapter for an object of class '`For Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ForExp`

### createImperativeExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createImperativeExpressionAdapter()

  Creates a new adapter for an object of class '`Imperative Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ImperativeExpression`

### createImperativeIterateExpAdapter

    public org.eclipse.emf.common.notify.Adapter createImperativeIterateExpAdapter()

  Creates a new adapter for an object of class '`Imperative Iterate Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ImperativeIterateExp`

### createImperativeLoopExpAdapter

    public org.eclipse.emf.common.notify.Adapter createImperativeLoopExpAdapter()

  Creates a new adapter for an object of class '`Imperative Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ImperativeLoopExp`

### createInstantiationExpAdapter

    public org.eclipse.emf.common.notify.Adapter createInstantiationExpAdapter()

  Creates a new adapter for an object of class '`Instantiation Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `InstantiationExp`

### createListTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createListTypeAdapter()

  Creates a new adapter for an object of class '`List Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ListType`

### createLogExpAdapter

    public org.eclipse.emf.common.notify.Adapter createLogExpAdapter()

  Creates a new adapter for an object of class '`Log Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LogExp`

### createOrderedTupleLiteralExpAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderedTupleLiteralExpAdapter()

  Creates a new adapter for an object of class '`Ordered Tuple Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedTupleLiteralExp`

### createOrderedTupleLiteralPartAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderedTupleLiteralPartAdapter()

  Creates a new adapter for an object of class '`Ordered Tuple Literal Part`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedTupleLiteralPart`

### createOrderedTupleTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createOrderedTupleTypeAdapter()

  Creates a new adapter for an object of class '`Ordered Tuple Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OrderedTupleType`

### createRaiseExpAdapter

    public org.eclipse.emf.common.notify.Adapter createRaiseExpAdapter()

  Creates a new adapter for an object of class '`Raise Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RaiseExp`

### createReturnExpAdapter

    public org.eclipse.emf.common.notify.Adapter createReturnExpAdapter()

  Creates a new adapter for an object of class '`Return Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ReturnExp`

### createSwitchExpAdapter

    public org.eclipse.emf.common.notify.Adapter createSwitchExpAdapter()

  Creates a new adapter for an object of class '`Switch Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SwitchExp`

### createTemplateParameterTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateParameterTypeAdapter()

  Creates a new adapter for an object of class '`Template Parameter Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TemplateParameterType`

### createTryExpAdapter

    public org.eclipse.emf.common.notify.Adapter createTryExpAdapter()

  Creates a new adapter for an object of class '`Try Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TryExp`

### createTypedefAdapter

    public org.eclipse.emf.common.notify.Adapter createTypedefAdapter()

  Creates a new adapter for an object of class '`Typedef`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Typedef`

### createUnlinkExpAdapter

    public org.eclipse.emf.common.notify.Adapter createUnlinkExpAdapter()

  Creates a new adapter for an object of class '`Unlink Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnlinkExp`

### createUnpackExpAdapter

    public org.eclipse.emf.common.notify.Adapter createUnpackExpAdapter()

  Creates a new adapter for an object of class '`Unpack Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `UnpackExp`

### createVariableInitExpAdapter

    public org.eclipse.emf.common.notify.Adapter createVariableInitExpAdapter()

  Creates a new adapter for an object of class '`Variable Init Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `VariableInitExp`

### createWhileExpAdapter

    public org.eclipse.emf.common.notify.Adapter createWhileExpAdapter()

  Creates a new adapter for an object of class '`While Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `WhileExp`

### createEModelElementAdapter

    public org.eclipse.emf.common.notify.Adapter createEModelElementAdapter()

  Creates a new adapter for an object of class '`EModel Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EModelElement`

### createENamedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createENamedElementAdapter()

  Creates a new adapter for an object of class '`ENamed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ENamedElement`

### createETypedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createETypedElementAdapter()

  Creates a new adapter for an object of class '`ETyped Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ETypedElement`

### createTypedElementAdapter

    public org.eclipse.emf.common.notify.Adapter createTypedElementAdapter()

  Creates a new adapter for an object of class '`Typed Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedElement`

### createVisitableAdapter

    public org.eclipse.emf.common.notify.Adapter createVisitableAdapter()

  Creates a new adapter for an object of class '`Visitable`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Visitable`

### createASTNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createASTNodeAdapter()

  Creates a new adapter for an object of class '`AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ASTNode`

### createOCLExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createOCLExpressionAdapter()

  Creates a new adapter for an object of class '`OCL Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OCLExpression`

### createEcore_OCLExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createEcore_OCLExpressionAdapter()

  Creates a new adapter for an object of class '`OCL Expression`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OCLExpression`

### createLiteralExpAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralExpAdapter()

  Creates a new adapter for an object of class '`Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralExp`

### createEcore_LiteralExpAdapter

    public org.eclipse.emf.common.notify.Adapter createEcore_LiteralExpAdapter()

  Creates a new adapter for an object of class '`Literal Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LiteralExp`

### createEClassifierAdapter

    public org.eclipse.emf.common.notify.Adapter createEClassifierAdapter()

  Creates a new adapter for an object of class '`EClassifier`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EClassifier`

### createEDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createEDataTypeAdapter()

  Creates a new adapter for an object of class '`EData Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EDataType`

### createPredefinedTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createPredefinedTypeAdapter()

  Creates a new adapter for an object of class '`Predefined Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `PredefinedType`

### createTypedASTNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createTypedASTNodeAdapter()

  Creates a new adapter for an object of class '`Typed AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `TypedASTNode`

### createCollectionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createCollectionTypeAdapter()

  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionType`

### createEcore_CollectionTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createEcore_CollectionTypeAdapter()

  Creates a new adapter for an object of class '`Collection Type`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CollectionType`

### createCallingASTNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createCallingASTNodeAdapter()

  Creates a new adapter for an object of class '`Calling AST Node`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallingASTNode`

### createCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createCallExpAdapter()

  Creates a new adapter for an object of class '`Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallExp`

### createEcore_CallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createEcore_CallExpAdapter()

  Creates a new adapter for an object of class '`Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `CallExp`

### createLoopExpAdapter

    public org.eclipse.emf.common.notify.Adapter createLoopExpAdapter()

  Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LoopExp`

### createEcore_LoopExpAdapter

    public org.eclipse.emf.common.notify.Adapter createEcore_LoopExpAdapter()

  Creates a new adapter for an object of class '`Loop Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `LoopExp`

### createFeatureCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createFeatureCallExpAdapter()

  Creates a new adapter for an object of class '`Feature Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureCallExp`

### createEcore_FeatureCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createEcore_FeatureCallExpAdapter()

  Creates a new adapter for an object of class '`Feature Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FeatureCallExp`

### createOperationCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createOperationCallExpAdapter()

  Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationCallExp`

### createEcore_OperationCallExpAdapter

    public org.eclipse.emf.common.notify.Adapter createEcore_OperationCallExpAdapter()

  Creates a new adapter for an object of class '`Operation Call Exp`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `OperationCallExp`

### createEClassAdapter

    public org.eclipse.emf.common.notify.Adapter createEClassAdapter()

  Creates a new adapter for an object of class '`EClass`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `EClass`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD